Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Support Python 3.8, stop supporting Python 3.5 #627

Merged
merged 4 commits into from Nov 12, 2019
Merged

Support Python 3.8, stop supporting Python 3.5 #627

merged 4 commits into from Nov 12, 2019

Conversation

@simonw
Copy link
Owner

simonw commented Nov 12, 2019

Refs #622

@simonw simonw changed the title Upgrade to uvicorn 0.10.4 Support Python 3.8, stop supporting Python 3.5 Nov 12, 2019
Also removed code that skipped black test for 3.5.
@simonw simonw merged commit cf7776d into master Nov 12, 2019
2 checks passed
2 checks passed
continuous-integration/travis-ci/pr The Travis CI build passed
Details
continuous-integration/travis-ci/push The Travis CI build passed
Details
@willingc

This comment has been minimized.

Copy link

willingc commented Nov 12, 2019

Thanks @simonw. I appreciate your work on this.

simonw added a commit that referenced this pull request Nov 15, 2019
* Upgrade to uvicorn 0.10.4
* Drop support for Python 3.5
* Bump all dependencies to latest releases
* Update docs to reflect we no longer support 3.5
* Removed code that skipped black unit test on 3.5

Closes #622
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.